# Class JmolTouchSimulator.TouchData

java.lang.Object
com.sparshui.inputdevice.JmolTouchSimulator.TouchData

Enclosing class:
  `JmolTouchSimulator`

protected class JmolTouchSimulator.TouchData extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`delay`
`int`
`id`
`int`
`type`
`long`
`when`
`int`
`x`
`int`
`y`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TouchData()`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### type

public int type

### id

public int id

### x

public int x

### y

public int y

### when

public long when

### delay

public long delay

## Constructor Details

### TouchData

protected TouchData()